{
    "format_version": "1.10.0",
    "animation_controllers": {
        "controller.animation.cc_fairytales.flying": {
            "states": {
                "default": {
                    "transitions": [
                        { "abajo": "query.ground_speed > 0.2 && query.has_rider == 1.0 && query.target_x_rotation > 6.0 && query.is_on_ground == 0.0" },
                        { "arriba": "query.ground_speed > 0.2 && query.has_rider == 1.0 && query.target_x_rotation < -6.0 && query.is_on_ground == 0.0" },
                        { "estable": "query.ground_speed > 0.2 && query.has_rider == 1.0 && query.target_x_rotation <= 6 && query.target_x_rotation >= -6 && query.is_on_ground == 0.0" },
                        { "reset": "query.has_rider == 0.0 || query.is_on_ground == 1.0" }
                    ]
                },
                "abajo": {
                    "on_entry": [
                        "@s go:down"
                    ],
                    "transitions": [
                        { "default": "query.life_time >= 0.0" }
                    ]
                },
                "arriba": {
                    "on_entry": [
                        "@s go:up"
                    ],
                    "transitions": [
                        { "default": "query.life_time >= 0.0" }
                    ]
                },
                "estable": {
                    "on_entry": [
                        "@s go:stable"
                    ],
                    "transitions": [
                        { "default": "query.life_time >= 0.0" }
                    ]
                },
                "reset": {
                    "on_entry": [
                        "@s go:reset"
                    ],
                    "transitions": [
                        { "default": "query.life_time >= 0.0" }
                        //for planes retaking flight mid air after loss speed
                        //{ "arriba": "query.has_rider == 1.0 && query.modified_move_speed < 0.8 && query.target_x_rotation < 0.0" }
                    ]
                }
            }
        }
    }
}